include TMFmacros.inc
include CFS2TMFmacros.inc

; Nordic Island Test

; ===================================================================

; DATA_BASE

data_base	label	word

	dw	1				; world set number
;	dd	7890269 		; North Bound
;	dd	7668008 		; South Bound
;	dd	-83513253 		; East Bound
;	dd	-107374183 		; West Bound
	dd	7890269 			; North Bound
	dd	7668008 			; South Bound
	dd	-83513253 		; East Bound
	dd	-107374183 		; West Bound
	dd	0				; VOR data
	dw	0				; lowest VOR freq
	dw	0				; highest VOR freq
	dd	0				; seeds level 8 data
	dd	0				; seeds level 9 data
	dd	0				; seeds level 10 data
	dd	0				; seeds level 11 data
	dd	0				; seeds level 12 data
	dd	0				; traffic data
	dd	0				; minimum safe altitude data
	dd	terrain_data - data_base		; terrain mesh data
	dd	0				; object data
	dd	0				; library data
	dd	0				; facilities data
	dd	0				; anchor point data
	dd	0				; ATIS data
	dd	0				; NDB data
	dd	0				; dynamic object paths data
	dd	0h,0h				; minimum library id
	dd	0h,0h				; maximum library id
	dd	0				; miscellaneous data
	dd	0				; title and description data
	dd	0				; magnetic variation data
	dd	0				; exception and exclusion data
	dd	87654321h			; magic number
	dd	0				; compression switch
	dw	0				; spare
	dd	0h,0h,0h,0h			; GUID
	dd	0				; product id
	dd	0				; product build number
	dd	0				; new facility data pointers
	dd	0				; new facility name list data
	dd	0				; new facility band list data
	dd	0				; new facility data





; ===================================================================

; TERRAIN_DATA

terrain_data	label	word


	dd	terrain_header_end - terrain_data	; end of terrain header
	dd	514					; version
	dd	0					; unknown entry
	dd	0					; unknown entry
	dd	0					; elevation header
	dd	0					; land class header
	dd	0					; unknown header
	dd	0					; class lookup header
	dd	0					; season header
	dd	0					; class lookup list
	dd	0					; water class header
	dd	0					; elevation index
	dd	0					; land cover index
	dd	0					; unknown index
	dd	flatten_header - terrain_data		; flatten polygon header
	dd	0					; decal header
	dd	0					; reserved
	dd	0					; reserved
	dd	0					; main terrain data
	dd	0					; reserved
	dd	0					; reserved
	dd	0					; reserved
	dd	0					; regions header
	dd	0					; reserved
	dd	0					; reserved

terrain_header_end	label	word




; ===================================================================

; TERRAIN FLATTEN POLYGON HEADER

flatten_header	label	word

	FLATTEN_HEADER 513, flatten_list, flatten_data, flatten_end

; TERRAIN FLATTEN POLYGON DATA

flatten_data	label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_8	label	word

		FLATTEN_DATA 1, 7, 1, 8, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 7, 2, 8, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 200
			FLATTEN_POINT 132, 219
			FLATTEN_POINT 1, 250

		FLATTEN_DATA 1, 7, 3, 8, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 157
			FLATTEN_POINT 1, 200

	data_end_54_364_8		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_9	label	word

		FLATTEN_DATA 1, 7, 0, 9, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 247
			FLATTEN_POINT 242, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 7, 1, 9, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 234, 1
			FLATTEN_POINT 213, 6
			FLATTEN_POINT 82, 215
			FLATTEN_POINT 1, 247


	data_end_54_364_9	label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_10	label	word

		FLATTEN_DATA 1, 6, 2, 10, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 181
			FLATTEN_POINT 209, 204
			FLATTEN_POINT 160, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 6, 3, 10, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 84
			FLATTEN_POINT 1, 181

		FLATTEN_DATA 1, 7, 0, 10, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 230, 1
			FLATTEN_POINT 1, 84


	data_end_54_364_10		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_11	label	word

		FLATTEN_DATA 1, 6, 1, 11, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 239
			FLATTEN_POINT 241, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 6, 2, 11, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 154, 1
			FLATTEN_POINT 1, 239


	data_end_54_364_11		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_12	label	word

		FLATTEN_DATA 1, 5, 0, 12, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 220
			FLATTEN_POINT 204, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 5, 1, 12, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 108
			FLATTEN_POINT 231, 112
			FLATTEN_POINT 1, 220
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 5, 2, 12, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 147
			FLATTEN_POINT 155, 147
			FLATTEN_POINT 19, 104
			FLATTEN_POINT 1, 108

		FLATTEN_DATA 1, 5, 3, 12, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 139
			FLATTEN_POINT 1, 147

		FLATTEN_DATA 1, 6, 0, 12, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 119
			FLATTEN_POINT 1, 139

		FLATTEN_DATA 1, 6, 1, 12, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 244, 1
			FLATTEN_POINT 221, 30
			FLATTEN_POINT 171, 61
			FLATTEN_POINT 131, 81
			FLATTEN_POINT 1, 119


	data_end_54_364_12		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_13	label	word

		FLATTEN_DATA 1, 5, 0, 13, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 187, 1
			FLATTEN_POINT 35, 92
			FLATTEN_POINT 60, 255
			FLATTEN_POINT 1, 255


	data_end_54_364_13		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_14	label	word

		FLATTEN_DATA 1, 5, 0, 14, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 53, 1
			FLATTEN_POINT 105, 35
			FLATTEN_POINT 255, 112
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 5, 1, 14, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 1, 112
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_364_14		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_15	label	word

		FLATTEN_DATA 1, 5, 2, 15, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 89, 54
			FLATTEN_POINT 115, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 7, 1, 15, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 190, 255
			FLATTEN_POINT 255, 206
			FLATTEN_POINT 255, 255

		FLATTEN_DATA 1, 7, 2, 15, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 190
			FLATTEN_POINT 97, 136
			FLATTEN_POINT 144, 120
			FLATTEN_POINT 255, 101
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


		FLATTEN_DATA 1, 7, 3, 15, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 101
			FLATTEN_POINT 223, 62
			FLATTEN_POINT 255, 47
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_364_15		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_16	label	word

		FLATTEN_DATA 1, 5, 2, 16, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 112, 1
			FLATTEN_POINT 129, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 6, 3, 16, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 255, 222
			FLATTEN_POINT 70, 255
			FLATTEN_POINT 255, 255

		FLATTEN_DATA 1, 7, 0, 16, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 218
			FLATTEN_POINT 216, 167
			FLATTEN_POINT 255, 144
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 7, 1, 16, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 144
			FLATTEN_POINT 184, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_364_16		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_364_17	label	word

		FLATTEN_DATA 1, 5, 2, 17, 1, 1, 1
		FLATTEN_POLYGON 7, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 135, 1
			FLATTEN_POINT 158, 24
			FLATTEN_POINT 196, 36
			FLATTEN_POINT 255, 32
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 5, 3, 17, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 32
			FLATTEN_POINT 255, 39
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 6, 0, 17, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 39
			FLATTEN_POINT 255, 39
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 6, 1, 17, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 39
			FLATTEN_POINT 255, 36
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 6, 2, 17, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 36
			FLATTEN_POINT 255, 12
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 6, 3, 17, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 12
			FLATTEN_POINT 61, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255			



	data_end_54_364_17		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_7	label	word


		FLATTEN_DATA 1, 0, 0, 7, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 223
			FLATTEN_POINT 208, 238
			FLATTEN_POINT 103, 255
			FLATTEN_POINT 1, 255





		FLATTEN_DATA 1, 3, 2, 7, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 255, 160
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 90, 255

		FLATTEN_DATA 1, 3, 3, 7, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 160
			FLATTEN_POINT 255, 56
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 4, 0, 7, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 56
			FLATTEN_POINT 138, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_7		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_8	label	word



		FLATTEN_DATA 1, 0, 0, 8, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 1
			FLATTEN_POINT 112, 1
			FLATTEN_POINT 28, 37
			FLATTEN_POINT 28, 141
			FLATTEN_POINT 1, 157



		FLATTEN_DATA 1, 3, 0, 8, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 221, 215
			FLATTEN_POINT 255, 196
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 186, 255

		FLATTEN_DATA 1, 3, 1, 8, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 196
			FLATTEN_POINT 255, 48
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 3, 2, 8, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 48
			FLATTEN_POINT 87, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_8		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_9	label	word

		FLATTEN_DATA 1, 2, 3, 9, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 101, 255
			FLATTEN_POINT 255, 215
			FLATTEN_POINT 255, 255

		FLATTEN_DATA 1, 3, 0, 9, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 215
			FLATTEN_POINT 55, 177
			FLATTEN_POINT 183, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_9		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_10	label	word

		FLATTEN_DATA 1, 2, 1, 10, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 255, 173
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 147, 255

		FLATTEN_DATA 1, 2, 2, 10, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 173
			FLATTEN_POINT 115, 57
			FLATTEN_POINT 255, 18
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 2, 3, 10, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 18
			FLATTEN_POINT 81, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_10		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_11	label	word

		FLATTEN_DATA 1, 1, 3, 11, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 255, 220
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 181, 255
			FLATTEN_POINT 190, 247

		FLATTEN_DATA 1, 2, 0, 11, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 220
			FLATTEN_POINT 255, 80
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 2, 1, 11, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 80
			FLATTEN_POINT 144, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_11		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_12	label	word

		FLATTEN_DATA 1, 1, 2, 12, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 255, 213
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 237, 255

		FLATTEN_DATA 1, 1, 3, 12, 1, 1, 1
		FLATTEN_POLYGON 6, 0, 0
			FLATTEN_POINT 1, 213
			FLATTEN_POINT 96, 46
			FLATTEN_POINT 167, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_12		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_13	label	word

		FLATTEN_DATA 1, 0, 2, 13, 1, 1, 1
		FLATTEN_POLYGON 3, 0, 0
			FLATTEN_POINT 255, 201
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 60, 255

		FLATTEN_DATA 1, 0, 3, 13, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 201
			FLATTEN_POINT 206, 139
			FLATTEN_POINT 255, 131
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 1, 0, 13, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 131
			FLATTEN_POINT 255, 100
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 1, 1, 13, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 100
			FLATTEN_POINT 82, 92
			FLATTEN_POINT 255, 120
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 1, 2, 13, 1, 1, 1
		FLATTEN_POLYGON 7, 0, 0
			FLATTEN_POINT 1, 120
			FLATTEN_POINT 95, 139
			FLATTEN_POINT 161, 124
			FLATTEN_POINT 233, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_13		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_14	label	word

		FLATTEN_DATA 1, 0, 0, 14, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 214, 112
			FLATTEN_POINT 255, 97
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 54, 255

		FLATTEN_DATA 1, 0, 1, 14, 1, 1, 1
		FLATTEN_POLYGON 4, 0, 0
			FLATTEN_POINT 1, 97
			FLATTEN_POINT 255, 15
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255

		FLATTEN_DATA 1, 0, 2, 14, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 15
			FLATTEN_POINT 55, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_14		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

	data_start_54_365_15	label	word

		FLATTEN_DATA 1, 0, 0, 15, 1, 1, 1
		FLATTEN_POLYGON 5, 0, 0
			FLATTEN_POINT 1, 43
			FLATTEN_POINT 54, 1
			FLATTEN_POINT 255, 1
			FLATTEN_POINT 255, 255
			FLATTEN_POINT 1, 255


	data_end_54_365_15		label	word

; _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _






; ===================================================================

; TERRAIN FLATTEN POLYGON LIST

	flatten_list	label	word

		FLATTEN_LIST 2, flatten_groups

	flatten_groups	label	word

	FLATTEN_GROUP 54, 364, flatten_data, data_start_54_364_8, data_end_54_364_17
	FLATTEN_GROUP 54, 365, flatten_data, data_start_54_365_7, data_end_54_365_15

; ===================================================================


; FLATTEN_END

flatten_end	label	word


; ===================================================================


